onEvent("recipes", (event) => {

  //Metallurgic Infuser
  event.remove({ output: 'mekanism:metallurgic_infuser' })
  event.shaped('mekanism:metallurgic_infuser', [
  'ABA',
  'CEC',
  'BDB'
  ], {
    A: 'kubejs:gelid_enderium_ingot',
    B: 'pneumaticcraft:plastic',
    C: 'powah:ender_core',
    D: 'powah:energy_cell_nitro',
    E: 'mekanism:block_osmium'
  })

//Steel Casing
event.remove({ output: 'mekanism:steel_casing' })
event.shaped('mekanism:steel_casing', [
'ABA',
'BDB',
'ABA'
], {
  A: 'mekanism:alloy_infused',
  B: 'astralsorcery:starmetal_ingot',
  D: '#forge:ingots/steel'
})

//Bioethanol
event.custom(
  {
    "type": "pneumaticcraft:fluid_mixer",
    "input1": {
      "type": "pneumaticcraft:fluid",
      "fluid": "immersiveengineering:biodiesel",
      "amount": 1000
    },
    "input2": {
      "type": "pneumaticcraft:fluid",
      "fluid": "mekanism:uranium_hexafluoride",
      "amount": 100
    },
    "fluid_output": {
      "fluid": "mekanismgenerators:bioethanol",
      "amount": 1000
    },
    "item_output": {
      "item": 'mekanism:bio_fuel'
    },
    "pressure": 2.0,
    "time": 300
  }
)


})
